Skip to main content
`Ctrl`+`K`

# PetscBenchSetSize

Sets the size of the `PetscBench` benchmark to run

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchSetSize(PetscBench bm, PetscInt n)

Logically Collective

## Input Parameters

- bm - the `PetscBench`

- n - the size

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchViewFromOptions()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetOptionsPrefix()`, `PetscBenchGetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages